import UIKit
import Flutter
import Crashlytics
import Fabric

@UIApplicationMain
@objc class AppDelegate: FlutterAppDelegate {
  override func application(
    _ application: UIApplication,
    didFinishLaunchingWithOptions launchOptions: [UIApplication.LaunchOptionsKey: Any]?
  ) -> Bool {
    GeneratedPluginRegistrant.register(with: self)
    Fabric.with([Crashlytics.self])
    return super.application(application, didFinishLaunchingWithOptions: launchOptions)
  }
}
