import Flutter
import UIKit

public class SwiftTaboolaSdkPlugin: NSObject, FlutterPlugin {
    private let taboola = Taboola()
    
  public static func register(with registrar: FlutterPluginRegistrar) {
    let channel = FlutterMethodChannel(name: "taboola_sdk", binaryMessenger: registrar.messenger())
    let instance = SwiftTaboolaSdkPlugin()
    registrar.addMethodCallDelegate(instance, channel: channel)
  }

  public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
    if (call.method == "isUserOptOut") { //Advertising Id related
        result(taboola.isLimitedAdTrackingEnabled())
    } else if (call.method == "getAdIdOrIdfa") {
        result(taboola.getAdIdOrIdfa())
    } else {
       result(FlutterError(code: "NOT_IMPLEMENTED",
                                   message: nil,
                                   details: nil))
       return
    }
  }
}
