import 'package:taboola_sdk/taboola.dart';

import 'package:taboola_sdk/utils/text_utils.dart';

class Logger {

  static void log(String string) {
    if (Taboola.disableTaboolaLogs){
      return;
    }

    if (TextUtils.isEmptyOrNull(string)){
      return;
    }

    print(string);
  }

  static void logException(String exception) {
    log('Caught Exception | $exception}');
  }

}