class TextUtils {

  static bool isEmptyOrNull(String string) {
    return (string == null || string.isEmpty);
  }

  static String capitalize(String s) {
    if (isEmptyOrNull(s)) {
      return "";
    }

    if (s.length == 1) {
      return s.toUpperCase();
    }

    return '${s[0].toUpperCase()}${s.substring(1)}';
  }

  static String urlEncode(String url) {
    if (isEmptyOrNull(url)){
      return "";
    }

    return Uri.encodeFull(url);
  }

}
