package com.taboola.flutter;

import android.content.Context;
import android.text.TextUtils;
import android.util.Log;

import com.taboola.flutter.advertisingId.AdvertisingIdInfo;

public class Taboola {
    private AdvertisingIdInfo mAdvertisingIdInfo;
    private Context mContext;

    public Taboola(Context context) {
        mContext = context;
        mAdvertisingIdInfo = new AdvertisingIdInfo(context);
    }

    public String getAdvertisingId() {
        return mAdvertisingIdInfo.getAdvertisingId(mContext);
    }

    public boolean isLimitedAdTrackingEnabled(){
        return mAdvertisingIdInfo.isLimitedAdTrackingEnabled();
    }
}
