import 'package:flutter/material.dart';
import 'package:taboola_sdk_example/DefaultProperties.dart' as PublisherProperties;
import 'taboola_listview_screen.dart';

class TaboolaPageViewScreen extends StatelessWidget {


  TaboolaPageViewScreen(String publisher, String pageUrl, String pageType, String placement, String mode);

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      debugShowCheckedModeBanner: false,
      title: "PageView with listView",
      home: PageView(

        children: <Widget>[
          TaboolaListViewScreen(PublisherProperties.publisher, PublisherProperties.pageUrl, PublisherProperties.pageType, PublisherProperties.placement, PublisherProperties.mode),
          TaboolaListViewScreen(PublisherProperties.publisher, PublisherProperties.pageUrl, PublisherProperties.pageType, PublisherProperties.placement, PublisherProperties.mode),
          TaboolaListViewScreen(PublisherProperties.publisher, PublisherProperties.pageUrl, PublisherProperties.pageType, PublisherProperties.placement, PublisherProperties.mode),
        ],
      ),
    );
  }
}