//
//  IDFA.swift
//  advertising_id
//
//  Created by Eitan Schwartz on 25/12/2019.
//

import Foundation
import AdSupport

public class IDFA: NSObject {
    
    public func isLimitedAdTrackingEnabled() -> Bool {
        let manager = ASIdentifierManager.shared()
        return manager.isAdvertisingTrackingEnabled
    }
    
    public func getIdfa() -> String {
            var idfaString: String!
            let manager = ASIdentifierManager.shared()
        
            if manager.isAdvertisingTrackingEnabled { //If user opt out return nothing
                idfaString = manager.advertisingIdentifier.uuidString
            } else {
                idfaString = ""
            }
        
            return idfaString
    }
}
