
class TaboolaStandardListener {

  //callbacks
  final void Function(String, double) taboolaDidResize;
  final void Function(String) taboolaDidShow;
  final void Function(String, String) taboolaDidFailToLoad;
  final bool Function(String, String, String, bool) taboolaDidClickOnItem;

  TaboolaStandardListener(this.taboolaDidResize,this.taboolaDidShow, this.taboolaDidFailToLoad, this.taboolaDidClickOnItem);

  void didResize(String placement, double height) {
    taboolaDidResize(placement,height);
  }

  void didShow(String placement) {
    taboolaDidShow(placement);
  }

  void didFailToLoad(String placement, String error) {
    taboolaDidFailToLoad(placement,error);
  }

  bool didClickOnItem(String placement, String itemId, String clickUrl, bool organic) {
    return taboolaDidClickOnItem(placement,itemId,clickUrl,organic);
  }
}